diff --git a/pgadmin/schema/pgTrigger.cpp b/pgadmin/schema/pgTrigger.cpp
index 59077dc..84adb30 100644
--- a/pgadmin/schema/pgTrigger.cpp
+++ b/pgadmin/schema/pgTrigger.cpp
@@ -390,7 +390,7 @@ pgObject *pgTriggerFactory::CreateObjects(pgCollection *coll, ctlTree *browser,
 	wxString trig_sql;
 	trig_sql = wxT("SELECT t.oid, t.xmin, t.*, relname, CASE WHEN relkind = 'r' THEN TRUE ELSE FALSE END AS parentistable, ")
 	           wxT("  nspname, des.description, l.lanname, p.prosrc, \n")
-	           wxT("  substring(pg_get_triggerdef(t.oid), 'WHEN (.*) EXECUTE PROCEDURE') AS whenclause\n")
+	           wxT("  COALESCE(substring(pg_get_triggerdef(t.oid), 'WHEN (.*) EXECUTE PROCEDURE'), substring(pg_get_triggerdef(t.oid), 'WHEN (.*)  \\$trigger')) AS whenclause\n")
 	           wxT("  FROM pg_trigger t\n")
 	           wxT("  JOIN pg_class cl ON cl.oid=tgrelid\n")
 	           wxT("  JOIN pg_namespace na ON na.oid=relnamespace\n")
